### Function

# FwupdPlugin utf8_to_utf16_byte_array

since: 1.9.3

#### Declaration [src]

    GByteArray*
    fu_utf8_to_utf16_byte_array (
      const gchar* str,
      FuEndianType endian,
      FuUtfConvertFlags flags,
      GError** error
    )

#### Description [src]

Converts UTF-8 string to a buffer of UTF-16, optionially including the trailing NULw.

Available since: 1.9.3

#### Parameters

`str`

  Type: `const gchar*`

  A UTF-8 string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`endian`

  Type: `FuEndianType`

  An endian type, e.g. `G_LITTLE_ENDIAN`.

`flags`

  Type: `FuUtfConvertFlags`

  A FuUtfConvertFlags, e.g. `FU_UTF_CONVERT_FLAG_APPEND_NUL`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: An array of `guint8`

A `GByteArray`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.